set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,4874912836106626));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2012.01.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,100);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/item_type/printreportdialog
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'ITEM TYPE'
 ,p_name => 'PRINTREPORTDIALOG'
 ,p_display_name => 'PrintReportDialog'
 ,p_supported_ui_types => 'DESKTOP'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'/**'||unistr('\000a')||
'www.apex-reports.com'||unistr('\000a')||
'*/'||unistr('\000a')||
'function render_PDFDialog ('||unistr('\000a')||
'    p_item                in apex_plugin.t_page_item,'||unistr('\000a')||
'    p_plugin              in apex_plugin.t_plugin,'||unistr('\000a')||
'    p_value               in varchar2,'||unistr('\000a')||
'    p_is_readonly         in boolean,'||unistr('\000a')||
'    p_is_printer_friendly in boolean )'||unistr('\000a')||
'    return apex_plugin.t_page_item_render_result'||unistr('\000a')||
'is'||unistr('\000a')||
'    '||unistr('\000a')||
'    l_name            varchar2(30);'||unistr('\000a')||
'--    l_number_of_stars number'||
'         := nvl(to_number(p_item.attribute_01), c_default_stars);'||unistr('\000a')||
'--    l_clear_tooltip   varchar2(4000) := sys.htf.escape_sc(nvl(p_plugin.attribute_01, ''Clear Rating''));'||unistr('\000a')||
''||unistr('\000a')||
'    l_result apex_plugin.t_page_item_render_result;'||unistr('\000a')||
'    l_dialogtitle varchar2(30);'||unistr('\000a')||
'    l_dialogmsg1 varchar2(90);'||unistr('\000a')||
'    l_dialogmsg2 varchar2(90);'||unistr('\000a')||
'    l_btnmsg varchar2(30);'||unistr('\000a')||
'    l_reporturl varchar2(90);'||unistr('\000a')||
'    l_button varchar2(1);'||
''||unistr('\000a')||
'begin'||unistr('\000a')||
''||unistr('\000a')||
'/*'||unistr('\000a')||
''||unistr('\000a')||
'att_01: Report url'||unistr('\000a')||
'att_02: Dialog title'||unistr('\000a')||
'att_03: Dialog first line'||unistr('\000a')||
'att_04: Dialog second line'||unistr('\000a')||
'att_05: Button label'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'**/'||unistr('\000a')||
'    l_button:=''Y'';'||unistr('\000a')||
'    l_reporturl:=p_item.attribute_01;'||unistr('\000a')||
'    l_btnmsg:=p_item.attribute_05;'||unistr('\000a')||
'    l_dialogtitle:=p_item.attribute_02;'||unistr('\000a')||
'    l_dialogmsg1:=p_item.attribute_03;'||unistr('\000a')||
'    l_dialogmsg2:=p_item.attribute_04;'||unistr('\000a')||
'    '||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'apex_javascript.add_library ('||unistr('\000a')||
'        p_name      ='||
'> ''pdfprogressdialog'','||unistr('\000a')||
'        p_directory => p_plugin.file_prefix,'||unistr('\000a')||
'        p_version   => null );'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'if (l_button=''Y'') then'||unistr('\000a')||
''||unistr('\000a')||
'    sys.htp.p(''<button id="j4lpdfdialogbtn" value=" ''  ||  l_btnmsg ||   ''" type="button" ''   ||  p_item.element_attributes  ||  ''><span>''  ||  l_btnmsg ||   ''</span></button>'');'||unistr('\000a')||
''||unistr('\000a')||
'else '||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<a id="j4lpdfdialogbtn" href="#" ''   ||  p_item.element_attributes  ||  ''  > '||
'''  ||  l_btnmsg ||   '' </a>'');'||unistr('\000a')||
''||unistr('\000a')||
'end if;'||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<script>var j4lpdfurl="'' || sys.htf.escape_sc(l_reporturl) || ''"'');'||unistr('\000a')||
'sys.htp.p(''</script>'');'||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<div id="j4lpdfdialog" style="Display:none;" title="''  ||  l_dialogtitle ||   ''">'');'||unistr('\000a')||
'sys.htp.p(''<p>''  ||  l_dialogmsg1 ||   ''<br>''  ||  l_dialogmsg2 ||   ''</p>'');'||unistr('\000a')||
'sys.htp.p(''<p align="center"><img src="'' || p_plugin.file_prefix || ''loader.gif" '||
'/></p>'');'||unistr('\000a')||
'sys.htp.p(''</div>'');'||unistr('\000a')||
''||unistr('\000a')||
'/*'||unistr('\000a')||
'sys.htp.p(''<iframe id="j4lpdfif" style="display:none;" name="j4lpdfif" onload="pdfframeLoad();" >'');'||unistr('\000a')||
'*/'||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<iframe id="j4lpdfif" style="display:inline;width:0px;height:0px;frameBorder:0;border:0;" name="j4lpdfif" onload="pdfframeLoad();" >'');'||unistr('\000a')||
'sys.htp.p(''</iframe> '');'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'return l_result;'||unistr('\000a')||
''||unistr('\000a')||
'end render_PDFDialog;'||unistr('\000a')||
''
 ,p_render_function => 'render_PDFDialog'
 ,p_standard_attributes => 'VISIBLE:ELEMENT:WIDTH:HEIGHT'
 ,p_substitute_attributes => true
 ,p_subscribe_plugin_settings => true
 ,p_version_identifier => '1.0'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2222030695796157 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Report URL'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2222324441799128 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Dialog title'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => 'PDF Report'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2222615815803078 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 30
 ,p_prompt => 'Dialog first line'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => 'We are preparing your report'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2222908914806282 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 40
 ,p_prompt => 'Dialog second line'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => 'please wait ...'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2223200287810273 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 50
 ,p_prompt => 'Button labél'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'Print'
 ,p_is_translatable => false
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '766172207064664469616C6F67496E69743D303B0D0A76617220706466636F6D706C6574653D303B0D0A0D0A66756E6374696F6E207064666672616D654C6F61642829207B200D0A0D0A092F2F616C65727428226672616D65206C6F616422293B0D0A20';
wwv_flow_api.g_varchar2_table(2) := '2020202F2F206F6E206C6F61642068616E646C657220666F72206368726F6D6520616E64204D6F7A696C6C61090D0A202020696620287064664469616C6F67496E697429207B0D0A09200D0A092F2F206966206E6F742063616E63656C6C656420666972';
wwv_flow_api.g_varchar2_table(3) := '73740D0A0969662028706466636F6D706C657465213D2D312920706466636F6D706C6574653D313B0D0A0D0A2020202020202069662028242822236A346C7064666469616C6F6722292E6469616C6F6728202269734F70656E22202929207B0D0A090909';
wwv_flow_api.g_varchar2_table(4) := '20242822236A346C7064666469616C6F6722292E6469616C6F672822636C6F736522293B0D0A09090920657870616E645044464672616D6528293B0D0A09097D0D0A097D0D0A0D0A7D3B0D0A0D0A66756E6374696F6E20706466436C6F736546756E6374';
wwv_flow_api.g_varchar2_table(5) := '696F6E2829207B0D0A0D0A0969662028706466636F6D706C6574653D3D302920706466636F6D706C6574653D2D313B0D0A7D0D0A0D0A66756E6374696F6E20657870616E645044464672616D652829207B0D0A0D0A090969662028706466636F6D706C65';
wwv_flow_api.g_varchar2_table(6) := '74653D3D3129207B0D0A0909090909097661722069665F7374796C653D646F63756D656E742E676574456C656D656E744279496428226A346C706466696622292E7374796C653B0D0A0D0A09090909090969665F7374796C652E6D617267696E203D2022';
wwv_flow_api.g_varchar2_table(7) := '30223B0D0A09090909090969665F7374796C652E70616464696E67203D202230223B0D0A09090909090969665F7374796C652E686569676874203D202231303025223B0D0A09090909090969665F7374796C652E7769647468203D202231303025223B0D';
wwv_flow_api.g_varchar2_table(8) := '0A09090909090969665F7374796C652E6F766572666C6F77203D202268696464656E223B0D0A09090909090969665F7374796C652E706F736974696F6E3D226162736F6C757465223B0D0A09090909090969665F7374796C652E6C6566743D2230707822';
wwv_flow_api.g_varchar2_table(9) := '3B0D0A09090909090969665F7374796C652E746F703D22307078223B0D0A09090909090969665F7374796C652E7A696E6465783D31303B0D0A09090909090969665F7374796C652E646973706C61793D22696E6C696E65223B0D0A09097D0D0A0D0A7D0D';
wwv_flow_api.g_varchar2_table(10) := '0A0D0A0D0A2428646F63756D656E74292E72656164792866756E6374696F6E28297B0D0A09090D0A09092F2F20637265617465206469616C6F670D0A0909097064664469616C6F67496E69743D313B0D0A090909242822236A346C7064666469616C6F67';
wwv_flow_api.g_varchar2_table(11) := '22292E6469616C6F67287B0D0A090909096175746F4F70656E3A2066616C73652C0D0A090909096D6F64616C3A20747275652C0D0A09090909636C6F73653A20706466436C6F736546756E6374696F6E0D0A0909097D293B0D0A0D0A09092F2F20616464';
wwv_flow_api.g_varchar2_table(12) := '20627574746F6E206576656E742068616E646C65720D0A0909242822236A346C7064666469616C6F6762746E22292E636C69636B2866756E6374696F6E28297B0D0A200D0A090909706466636F6D706C6574653D303B0D0A090909242822236A346C7064';
wwv_flow_api.g_varchar2_table(13) := '666469616C6F6722292E6469616C6F6728226F70656E22293B0D0A0D0A09090976617220696E7075743D273C696E707574206E616D653D2270222076616C75653D22272B206A346C70646675726C202B2722202F3E273B200D0A0D0A0909092F2F73656E';
wwv_flow_api.g_varchar2_table(14) := '6420726571756573740D0A0909092F2F20272B696E7075742B270D0A0909096A517565727928273C666F726D2020616374696F6E3D22272B206A346C70646675726C202B2722207461726765743D226A346C706466696622206D6574686F643D22504F53';
wwv_flow_api.g_varchar2_table(15) := '54223E3C2F666F726D3E27292E656D70747928292E617070656E64546F2827236A346C706466696627292E7375626D697428293B0D0A0D0A0909092F2F20736574206576656E742068616E646C657220666F722049450D0A090909646F63756D656E742E';
wwv_flow_api.g_varchar2_table(16) := '676574456C656D656E744279496428226A346C706466696622292E6F6E726561647973746174656368616E6765203D2066756E6374696F6E202829207B0D0A2F2F616C65727428227374617465222B646F63756D656E742E676574456C656D656E744279';
wwv_flow_api.g_varchar2_table(17) := '496428226A346C706466696622292E72656164795374617465293B0D0A09090D0A202009202020202020202020202069662028646F63756D656E742E676574456C656D656E744279496428226A346C706466696622292E726561647953746174653D3D34';
wwv_flow_api.g_varchar2_table(18) := '2920207B0D0A0D0A090909092F2F206966206E6F742063616E63656C6C65642066697273740D0A0909090969662028706466636F6D706C657465213D2D312920706466636F6D706C6574653D313B0D0A0D0A0909090969662028242822236A346C706466';
wwv_flow_api.g_varchar2_table(19) := '6469616C6F6722292E6469616C6F6728202269734F70656E22202929207B0D0A090909090909242822236A346C7064666469616C6F6722292E6469616C6F672822636C6F736522293B0D0A090909090909657870616E645044464672616D6528293B0D0A';
wwv_flow_api.g_varchar2_table(20) := '09090909097D0D0A0D0A20200909092020207D0D0A0909090D0A090909202069662028646F63756D656E742E676574456C656D656E744279496428226A346C706466696622292E726561647953746174653D3D3D22636F6D706C6574652229207B200D0A';
wwv_flow_api.g_varchar2_table(21) := '0D0A090909092F2F206966206E6F742063616E63656C6C65642066697273740D0A0909090969662028706466636F6D706C657465213D2D312920706466636F6D706C6574653D313B0D0A0D0A0909090969662028242822236A346C7064666469616C6F67';
wwv_flow_api.g_varchar2_table(22) := '22292E6469616C6F6728202269734F70656E22202929207B0D0A090909090909242822236A346C7064666469616C6F6722292E6469616C6F672822636C6F736522293B0D0A090909090909657870616E645044464672616D6528293B0D0A0D0A09090909';
wwv_flow_api.g_varchar2_table(23) := '097D0D0A0909097D0D0A09097D3B0D0A0D0A097D293B0D0A0D0A7D293B0D0A0D0A0D0A';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 2248731187258088 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_file_name => 'pdfprogressdialog.js'
 ,p_mime_type => 'text/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4749463839612B000B00F10000FFFFFF0B16E9878CF30B16E921FF0B4E45545343415045322E30030100000021FE1A43726561746564207769746820616A61786C6F61642E696E666F0021F904090A0000002C000000002B000B00000232848E08CB96D9';
wwv_flow_api.g_varchar2_table(2) := 'D883F3C50A1BDE56F3CB85E036865859A166277DDE9ABEA70C672D49D787CA2EFAC4B3F93EB8A020324C15000021F904090A0000002C000000002B000B0000023DC48E08CB200F6163B19A84C7AC7CF39861DEF78C6498989FCAA14A434A702CB8076BCD';
wwv_flow_api.g_varchar2_table(3) := 'B1ADE9240EB20165141A6F58F27D8ECA4ED3E29A2C6252C7AF000021F904090A0000002C000000002B000B0000023D848E08CB300F6163A99A6A5BDC6FE20F0A13B779E1798CA4D4A0A8BA0EA60BC2EB4C633689E7C9CEE9F9529A98AC35CC308C47CAE9';
wwv_flow_api.g_varchar2_table(4) := 'F2992C6252A8AE000021F904090A0000002C000000002B000B00000240848E08CB96D9D89894BA071B7EB1FAB9654CA8349F471E512A7427C5AEA9FB0EB1369BB59D8FFDB2E39164435DEDE62B4A76C8451310BC6022CE1015FA021400003B0000000000';
wwv_flow_api.g_varchar2_table(5) := '00000000';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 2249431632272807 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2220529026462834 + wwv_flow_api.g_id_offset
 ,p_file_name => 'loader.gif'
 ,p_mime_type => 'image/gif'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
